FROM debian:jessie

ENV VERSION 2.1.2

# Install dependencies
RUN apt update && apt install -y --no-install-recommends python3 python3-pip

# Packages cleanup
RUN apt-get purge -y --auto-remove \
      && apt-get clean

# Create radicale user
RUN useradd radicale -md /opt/radicale
WORKDIR /opt/radicale
USER radicale

# Install Radicale
RUN pip3 install --user --upgrade radicale==${VERSION}
COPY config .config/radicale/config/
RUN mkdir /opt/radicale/storage

# Persistent storage for data and configuration
VOLUME /opt/radicale/storage

# TCP port of Radicale
EXPOSE 5232

# Run Radicale
CMD [".local/bin/radicale", "--hosts", "0.0.0.0:5232"]
